<template>
  <div class="health-analytics">
    <van-tabs color="#469FF7" v-model="tabActiveName" @click="onTabClick">
      <van-tab title="综合管理局"></van-tab>
      <van-tab title="渝高物业"></van-tab>
      <van-tab title="摄像头"></van-tab>
    </van-tabs>
    <div class="nonSmart-devices">
      <div class="normal-equip-container">
        <div
          class="normal-equip"
          v-for="(item, index) in intellectData"
          :key="index"
          @click="handleDetail(item)"
        >
          <div class="normal-equip-title">
            <!-- <img src="@/assets/img/normal01.png" /> -->
            <svgIcon
              icon-style="icon"
              :icon-class="item.icon"
              v-if="item.icon"
              style="font-size: 20px; vertical-align: middle; "
            />
            <span> {{ item.typeName }} </span>
          </div>
          <!-- <div class="normal-equip-info">
            <div></div>
          </div>
          <div class="normal-equip-info"></div> -->
          <div class="normal-equip-info">
            <span><van-icon name="points" /> 总数</span>
            <span><van-icon name="passed" /> 正常数</span>
            <span><van-icon name="warning-o" /> 故障数</span>
            <span><van-icon name="bulb-o" /> 告警数</span>
          </div>
          <div class="normal-equip-detail">
            <div>
              <span style="color: #000;" class="num-smart">{{ item.num }}</span>
              <span class="smart">个</span>
            </div>
            <div>
              <span style="color: #1890ff;" class="num-smart">{{
                item.normal
              }}</span>
              <span class="smart">个</span>
            </div>
            <div>
              <span style="color: #f9c700;" class="num-smart">{{
                item.failure
              }}</span>
              <span class="smart">个</span>
            </div>
            <div>
              <span style="color: #ff8000;" class="num-smart">{{
                item.alarm
              }}</span>
              <span class="smart">个</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import equipmentIndex from '@/api/device/equipmentIndex.js'
import {Dialog, Notify} from 'vant'

export default {
  //   name: 'MobileDeviceHealth',
  data() {
    return {
      tabActiveName: '0',
      showPickerEnd: false,
      showPickerBegin: false,
      productValueName: '',
      showPicker: false,
      warnAnalyzeData: [],
      regionPicker: '',
      endTime: '',
      startTime: '',
      warnFailureTime: '',
      warnFailureFailure: '',
      warnFailureAlarm: '',
      areaStatusAreaName: [],
      productValue: '',
      deviceValue: 'bspqx',
      productData: [],
      intellectData: []
      // loading: true,
      // height: document.documentElement.clientHeight - 5 + 'px;',
      // src: 'http://183.230.176.125:37799/webroot/decision/v5/design/report/share/3b2bc94ad482407fb0af0e59fdaf9151?link=eyJhbGciOiJIUzI1NiJ9.eyJyZXBvcnRJZCI6IjNiMmJjOTRhZDQ4MjQwN2ZiMGFmMGU1OWZkYWY5MTUxIiwidXNlcklkIjoiYjVmMGMyZWUtNjQwZi00MDM5LWE0ZDQtOTE4YjU1MzU0ODk4IiwianRpIjoiand0In0.y8C_p7HKyRBfZWrOHqkcwaCMHwsBh2XVPfJK9jtXLY0'
    }
  },
  created() {
    // this.areaStatusList()

    this.intellectList()
  },
  mounted: function() {
  },
  methods: {
    // 跳转设备详情
    handleDetail(item) {
      if (this.tabActiveName == '2') {
        this.$router.push({name: 'MobileDeviceCamera', query: {item: item}})
      } else {
        this.$router.push({name: 'MobileDevice', query: {item: item}})
      }
    },
    onTabClick(v) {
      console.log(this.tabActiveName)
      if (v == '0') {
        this.intellectList()
      }
      if (v == '1') {
        this.generalList()
      }
      if (v == '2') {
        this.videoList()
      }
    },
    //智能设备状态分析
    intellectList() {
      let areaFullId = ''
      let isIntellect = ''
      const formData = new FormData()
      formData.append('areaFullId', areaFullId)
      formData.append('isIntellect', isIntellect)
      formData.append('fullId', '/1552911478301003776')
      const config = {
        headers: {
          'Content-Type': 'multipart/form-data'
        }
      }
      this.$http
        .post(
          window.context.portal + '/homepage/v1/deviceProductStatistics',
          formData,
          config
        )
        .then(res => {
          if (res.data.state) {
            console.log(res)
            this.intellectData = res.data.value
          }
        })
      // equipmentIndex.deviceProductStatistics('/1552911478301003776', res => {
      //   console.log(res)
      //   this.intellectData = res.value
      // })
    },
    videoList() {
      let areaFullId = ''
      const formData = new FormData()
      formData.append('areaFullId', areaFullId)
      const config = {
        headers: {
          'Content-Type': 'multipart/form-data'
        }
      }
      this.$http
        .post(
          window.context.portal + '/homepage/v1/videoStatistics',
          formData,
          config
        )
        .then(res => {
          if (res.data.state) {
            console.log(res)
            this.intellectData = res.data.value
          }
        })
    },
    //非智能设备状态分析
    generalList() {
      let areaFullId = ''
      let isIntellect = ''
      const formData = new FormData()
      formData.append('areaFullId', areaFullId)
      formData.append('isIntellect', isIntellect)
      formData.append('fullId', '/1667102417759510528')
      const config = {
        headers: {
          'Content-Type': 'multipart/form-data'
        }
      }
      this.$http
        .post(
          window.context.portal + '/homepage/v1/deviceProductStatistics',
          formData,
          config
        )
        .then(res => {
          if (res.data.state) {
            console.log(res)
            this.intellectData = res.data.value
          }
        })
      // equipmentIndex.generalStatusAnalyze(res => {
      //   console.log(res)
      //   this.generalData = res.value
      // })
    }
  }
}
</script>
<style lang="scss" scoped>
::v-deep .van-tabs__nav {
  background-color: #f9f9f9;
}

.health-analytics {
  width: 100%;
  padding: 40px;
  //   min-height: 100%;
  // background-color: #f4f7ff;
  background-color: #f9f9f9;
  box-sizing: border-box;

  .nonSmart-devices {
    width: 100%;
    padding-top: 30px;
    // background-color: #fff;
    margin-bottom: 30px;
    // background-color: #fff;
    .synthesis {
      margin-bottom: 50px;
      display: flex;
      height: 100px;
      font-size: 70px;
      color: #8c99a0;

      .synthesis-logo {
        display: flexbox;
        align-items: center;
        width: 20px;
        height: 100px;
        background-color: #2c78ff;
        margin-right: 20px;
      }
    }

    .normal-equip-container {
      padding: 0 30px;
      width: 97%;
      height: 100%;
      // padding: 0 30px;
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      gap: 10px;
    }

    .normal-equip {
      background-color: white;
      // background: linear-gradient(to bottom, #e2edff, #f3f9ff);
      border-radius: 40px;
      width: calc(100% - 20px);
      height: 500px;
      box-shadow: 0px 0px 8px 0px rgba(193, 211, 255, 0.5);
      box-sizing: border-box;
      padding: 30px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      margin-bottom: 20px;
    }

    .leftTop ::v-deep .el-tabs__content {
      overflow: inherit;
    }

    .normal-equip-title {
      color: #409eff;
      text-align: center;

      img {
        width: 80px;
        height: 80px;
        vertical-align: middle;
      }

      span {
        font-size: 68px;
        font-family: Microsoft YaHei;
        font-weight: bold;
        color: #409eff;
      }
    }

    .normal-equip-info {
      display: flex;
      justify-content: space-around;
      // margin: 16px 0 10px;
      // color: #6c6c6c;
      color: #000;

      span {
        display: inline-block;
        width: 33.33%;
        text-align: center;
        font-size: 66px;
      }
    }

    .normal-equip-detail {
      display: flex;
      justify-content: space-around;

      div {
        width: 33.33%;
        text-align: center;
      }

      // div:nth-child(2) {
      //   border-left: 1px solid #dbdbdb;
      //   border-right: 1px solid #dbdbdb;
      // }
      .num-smart {
        margin-right: 10px;
        font-size: 76px;
        font-weight: bold;
        color: #2c78ff;
      }

      .smart {
        font-size: 46px;
        display: inline-block;
        line-height: 16px;
        padding: 2px 0;
        width: 66px;
        line-height: 86px;
        border-radius: 5px;
        color: #000;
        margin-left: 6px;
      }
    }
  }

  ::v-deep .el-divider--horizontal {
    margin: 10px;
  }

  ::v-deep .el-tabs__active-bar {
    height: 4px;
    border-radius: 2px;
    background: linear-gradient(0deg, #0080ff, #b2d9ff);
    box-shadow: 0px 1px 5px 0px rgba(83, 136, 255, 0.4);
  }

  ::v-deep .el-tabs__nav-wrap::after {
    height: 1px;
    background-color: #e5efff;
  }

  ::v-deep .el-tabs__item {
    height: 100px;
  }

  .tab-img {
    width: 56px;
    height: 66px;
    vertical-align: middle;
    margin-right: 10px;
    margin-bottom: 12px;
  }

  .tab-label {
    color: #666;
    font-size: 66px;
  }

  .tab-label.active {
    color: #0080ff;
    font-weight: bold;
  }

  ::v-deep .el-tabs__content {
    // height: calc(100% - 54px);
  }

  ::v-deep .el-tab-pane {
    height: 100%;
  }
}
</style>
